Subject: Re: pull-request: wireless-next-2024-02-20

From: Kalle Valo <[email-masked]>
Date: Tue, 20 Feb 2024 19:03:49 +0200

Kalle Valo <[email-masked]> writes:

> Hi,
>
> here's a pull request to net-next tree, more info below. Please let me know if
> there are any problems.
>
> Kalle
>
> The following changes since commit b7198383ef2debe748118996f627452281cf27d7:
>
>   wifi: iwlwifi: mvm: fix a crash when we run out of stations (2024-02-08 14:55:39 +0100)
>
> are available in the Git repository at:
>
>   git://git.kernel.org/pub/scm/linux/kernel/git/wireless/wireless-next.git tags/wireless-next-2024-02-20
>
> for you to fetch changes up to dd66185c23f71af36397bebfc99ede608dca07b6:
>
>   wifi: wilc1000: add missing read critical sections around vif list traversal (2024-02-19 18:21:36 +0200)
>
> ----------------------------------------------------------------
> wireless-next patches for v6.9
>
> The second "new features" pull request for v6.9.  Lots of iwlwifi and
> stack changes this time. And naturally smaller changes to other drivers.
>
> We also twice merged wireless into wireless-next to avoid conflicts
> between the trees.
>

[...]

>  drivers/net/dsa/mt7530.c                           |   34 +-
>  drivers/net/ethernet/engleder/tsnep_main.c         |    4 +-
>  drivers/net/ethernet/google/gve/gve.h              |  144 +-
>  drivers/net/ethernet/google/gve/gve_dqo.h          |   18 +-
>  drivers/net/ethernet/google/gve/gve_main.c         |  862 +++---
>  drivers/net/ethernet/google/gve/gve_rx.c           |  135 +-
>  drivers/net/ethernet/google/gve/gve_rx_dqo.c       |   91 +-
>  drivers/net/ethernet/google/gve/gve_tx.c           |  128 +-
>  drivers/net/ethernet/google/gve/gve_tx_dqo.c       |  108 +-
>  drivers/net/ethernet/google/gve/gve_utils.c        |   31 +
>  drivers/net/ethernet/google/gve/gve_utils.h        |    5 +

This diffstat shows extra (non-wireless) changes like the ones above but
then actually pulling the these are not shown. I assume 'git
pull-request' got again confused due to merging wireless into
wireless-next.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches